Package org.springframework.test.web.client

# Interface ResponseCreator

All Known Subinterfaces:
  `RequestExpectation`

All Known Implementing Classes:
  `DefaultRequestExpectation`, `DefaultResponseCreator`, `ExecutingResponseCreator`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ResponseCreator
A contract for creating a `ClientHttpResponse`. Implementations can be obtained via `MockRestResponseCreators`.

Since:
  3.2
Author:
  Craig Walls

## Method Summary

Modifier and Type
Method
Description
`org.springframework.http.client.ClientHttpResponse`
`createResponse(org.springframework.http.client.ClientHttpRequest request)`
Create a response for the given request.

## Method Details

### createResponse

org.springframework.http.client.ClientHttpResponse createResponse(@Nullable org.springframework.http.client.ClientHttpRequest request) throws IOException
Create a response for the given request.

Parameters:
  `request` - the request
Throws:
  `IOException`